Copy PagePartial update manual journalpatchhttps://api.wafeq.com/v1/manual-journals/{id}/Endpoint for partially updating an existing manual journal.Path ParamsidstringrequiredQuery ParamsexpandstringComma-separated relationships to expand. Pass journal to replace the journal ID with its object (ID, date, currency, reference, notes and timestamps). Documents without a journal still return null. Journal line items are retrieved separately with GET /v1/journal-line-items/?journal={journal_id}.Body Paramsapplication/jsonapplication/x-www-form-urlencodedmultipart/form-dataA manual journal entry recorded directly in the general ledger.attachmentsarray of stringsThe attachments linked to this manual journal.Add stringdatedateThe date of the manual journal.external_idstringlength ≤ 255External identifier for the manual journal.line_itemsarray of objectsThe line items of the manual journal.Add objectnotesstringThe notes of the manual journal.referencestringThe reference of the manual journaltax_amount_typestringenumDefaults to TAX_EXCLUSIVEThe tax amount type of the manual journal. View the enum referenceTAX_INCLUSIVETAX_EXCLUSIVEAllowed:TAX_INCLUSIVETAX_EXCLUSIVEHeadersX-Wafeq-Idempotency-KeystringClient-provided UUID to uniquely identify a requestcontent-typestringenumDefaults to application/jsonGenerated from available request content typesapplication/jsonapplication/x-www-form-urlencodedmultipart/form-dataAllowed:application/jsonapplication/x-www-form-urlencodedmultipart/form-dataResponse200Updated 3 days agoRetrieve manual journalUpdate manual journal